package dbcommands

import (
	"log"

	"gorm.io/driver/sqlite"
	"gorm.io/gorm"
)

type User struct {
	gorm.Model
	Name       string
	Id         string
	LoginToken string
}

func InitializeDatabase() *gorm.DB {
	db, err := gorm.Open(sqlite.Open("db/main.db"), &gorm.Config{})
	if err != nil {
		log.Fatal("Failed to connect to database.")
	}
	db.AutoMigrate(&User{})
	return db
}
